GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::ULWritingCallback Class Reference

`#include <gdcmULWritingCallback.h>`

Inheritance diagram for gdcm::network::ULWritingCallback:
[legend]
Collaboration diagram for gdcm::network::ULWritingCallback:
[legend]

## Public Member Functions

| ULWritingCallback ()
virtual | ~ULWritingCallback ()
virtual void | HandleDataSet (const DataSet &inDataSet)
void | SetDirectory (const std::string &inDirectoryName)
| provide the directory into which all files are written.
Public Member Functions inherited from gdcm::network::ULConnectionCallback
| ULConnectionCallback ()
virtual | ~ULConnectionCallback ()
bool | DataSetHandles () const
void | ResetHandledDataSet ()

## Additional Inherited Members

Protected Member Functions inherited from gdcm::network::ULConnectionCallback
void | DataSetHandled ()

## Constructor & Destructor Documentation

gdcm::network::ULWritingCallback::ULWritingCallback | ( |  | ) |

inline

virtual gdcm::network::ULWritingCallback::~ULWritingCallback | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual void gdcm::network::ULWritingCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) |

virtual

Implements gdcm::network::ULConnectionCallback.

void gdcm::network::ULWritingCallback::SetDirectory | ( | const std::string & | inDirectoryName | ) |

inline

provide the directory into which all files are written.

The documentation for this class was generated from the following file:

- gdcmULWritingCallback.h